# Method Parser.XML.Tree.AbstractSimpleNode()->replace_child()

Method replace_child

  `AbstractSimpleNode replace_child(AbstractSimpleNode old, AbstractSimpleNode new)`

Description

  Replaces the first occurrence of the old node child with the new node child.

Note

  The return value differs from the one returned by Node()->replace_child().

Returns

  Returns the current node on success, and `0` (zero) if the node old wasn't found.